#!/bin/sh
ifconfig lo up

grep -q 'androidboot.bootmode=emmc' /proc/cmdline 2>/dev/null
if [ "$?" = "0" ]; then
	# BOOT_STORAGE="EMMC_BOOT"
	EXEC_PATH="/mnt/SD0p8"
	DATA_PATH="/mnt/SD0p9"

else
    # BOOT_STORAGE="NAND_BOOT"
    EXEC_PATH="/nand1"
    DATA_PATH="/nand2"
fi

echo EXEC_PATH=${EXEC_PATH}

# /tcc_gtk
ln -s ${EXEC_PATH}/target/ /tcc_gtk

# /tcc_data
grep -q ${DATA_PATH} /proc/mounts 2>/dev/null
if [ "$?" = "0" ]; then
	## if not exist DATA/data
	if [ ! -d ${DATA_PATH}/data ]; then
		if [ -d ${EXEC_PATH}/data ]; then
			echo mv ${EXEC_PATH}/data ${DATA_PATH}
			mv ${EXEC_PATH}/data ${DATA_PATH}
		fi		
	fi
else
	DATA_PATH=${EXEC_PATH}
fi

echo DATA_PATH=${DATA_PATH}
mkdir -p ${DATA_PATH}/data
ln -s ${DATA_PATH}/data/ /tcc_data

if [ ! -f /tcc_data/ISDBTLogo.db ]; then
	if [ -f /tcc_gtk/ISDBTLogo.db ]; then
		cp /tcc_gtk/ISDBTLogo.db /tcc_data/
	fi
fi
export LD_LIBRARY_PATH=/tcc_gtk/lib:$LD_LIBRARY_PATH
#export TSLIB_CALIBFILE=/tcc_gtk/etc/pointercal
#export TSLIB_CONFFILE=/tcc_gtk/etc/ts.conf
#export TSLIB_PLUGINDIR=/tcc_gtk/lib/ts
#export TSLIB_TSDEVICE=/dev/input/touchscreen0
export LD_PRELOAD=/tcc_gtk/lib/libts-1.0.so.0

/tcc_gtk/bin/OPEN_ALSA_TCCVOL &

